Retrieve recording settings for an app.
curl --request GET \
--url https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/recording \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/recording"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/extensions/calling/{appId}/settings/recording', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"urlToRetrieveAuthedRecording": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Recording Settings
Retrieve recording settings for an app.
Retrieve the current recording settings for a specific app using the provided app ID.
GET
/
crm
/
v3
/
extensions
/
calling
/
{appId}
/
settings
/
recording
Retrieve recording settings for an app.
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for the app whose recording settings are being retrieved.
Response
successful operation
The URL used to retrieve authenticated call recordings.
Last modified on March 30, 2026
Was this page helpful?
⌘I